= How do I backup the system? =
[[TOC(heading=How do I...?,depth=1,HowTo/*)]]

The most straightforward way to make sure the system is backed up is to stop the virtual machine (VM), either by 
suspending it or powering it down, and then make a copy of files for the VM. 

By default, VMware Player will suspend the VM when VMware Player is exited. Close the VM window, and then make a 
copy of the files in the `secureci` folder. The `vmware*.log` files can be ignored to save a little space. 

VMware has tools available to shrink the size of the virtual hard disk files (`.vmdk`), and there are techniques for
shrinking the files without VMware tools as well. Searching the Internet for `shrink vmdk` may prove helpful.

== Other options ==

Within the VM itself, the data and configuration files for SecureCI™ are stored under `/var/lib`. 
You could backup the appropriate files under that directory and whichever system files you feel are important 
(e.g., files under `/etc`). This requires an understanding of what files and directories need to be backed up, 
as well as requiring the databases for MySQL and Subversion to be properly handled.

 * [http://dev.mysql.com/doc/refman/5.0/en/backup-and-recovery.html MySQL Backup and Recovery]
 * [http://svnbook.red-bean.com/en/1.4/svn.reposadmin.maint.html#svn.reposadmin.maint.backup Subversion Repository Backup]

<%= node['trac']['wiki']['footer'] %>